package main

import (
	"crypto/x509"
	"encoding/pem"
	"fmt"
	"os"

	"koti.casa/numenor-labs/dsfx/pkg/crypto/identity"
)

func main() {
	key, err := identity.Generate()
	if err != nil {
		panic(err)
	}

	// Encode the private key to der
	der, err := x509.MarshalECPrivateKey(key)
	if err != nil {
		panic(err)
	}

	// Encode the private key to PEM
	pem := pem.EncodeToMemory(&pem.Block{
		Type:  "PRIVATE KEY",
		Bytes: der,
	})

	fmt.Fprint(os.Stdout, string(pem))
}
